CommandlineParsingException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jagatoo.commandline
Class CommandlineParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jagatoo.commandline.CommandlineParsingException

All Implemented Interfaces:
  java.io.Serializable

    public class CommandlineParsingException

extends java.lang.Exception

A parsing exception for a CommandLine.

Author:
  Marvin Froehlich (aka Qudus)
See Also:
  Serialized Form

Constructor Summary
`CommandlineParsingException(int chunk, java.lang.String message)`
`CommandlineParsingException(int chunk, java.lang.String message, java.lang.Throwable cause)`
`CommandlineParsingException(java.lang.String message)`
`CommandlineParsingException(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`int` | `getChunk()` Gets the errorous chunk.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommandlineParsingException

    public CommandlineParsingException(int chunk,
                                       java.lang.String message)

### CommandlineParsingException

    public CommandlineParsingException(int chunk,
                                       java.lang.String message,
                                       java.lang.Throwable cause)

### CommandlineParsingException

    public CommandlineParsingException(java.lang.String message)

### CommandlineParsingException

    public CommandlineParsingException(java.lang.String message,
                                       java.lang.Throwable cause)

Method Detail

### getChunk

    public final int getChunk()

  Gets the errorous chunk.

  Returns:
    the errorous chunk.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD